# Package groovy.xml.slurpersupport

package groovy.xml.slurpersupport

Helper classes for XmlSlurper.

- Related Packages
  Package
  Description
  groovy.xml
  Groovy markup builder classes for working with SAX and W3C DOM and Groovy markup.
  groovy.xml.dom
  Groovy XML Dom processing classes.
  groovy.xml.markupsupport
  groovy.xml.streamingmarkupsupport
  XmlBuilder related classes to support streaming XML.
- Classes
  Class
  Description
  Attribute
  Lazy evaluated representation of a node attribute.
  Attributes
  Lazy evaluated representation of a node's attributes.
  FilteredAttributes
  Lazy evaluated representation of a node's attributes filtered by a Closure.
  FilteredNodeChildren
  Lazy evaluated representation of child nodes filtered by a Closure.
  GPathResult
  Base class for representing lazy evaluated GPath expressions.
  NamespaceAwareHashMap
  NoChildren
  Lazy evaluated representation of a GPath expression returning no children.
  Node
  Represents a node.
  NodeChild
  Lazy evaluated representation of a child node.
  NodeChildren
  Lazy evaluated representation of child nodes.
  NodeIterator
  Helper class for iterating through nodes.
  NodeParents
  Lazy evaluated representation of parent nodes without duplicates
  ReplacementNode
  Helper base class used for lazy updates.